/**
 * Django Image Uploader Widget - An image uploader widget for django.
 * @version v0.1.1
 * @author Eduardo Oliveira (EduardoJM) <eduardo_y05@outlook.com>.
 * @link https://github.com/inventare/django-image-uploader-widget
 * 
 * Licensed under the MIT License (https://github.com/inventare/django-image-uploader-widget/blob/main/LICENSE).
 */

"use strict";function _classCallCheck(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function _defineProperties(e,t){for(var i=0;i<t.length;i++){var n=t[i];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}function _createClass(e,t,i){return t&&_defineProperties(e.prototype,t),i&&_defineProperties(e,i),Object.defineProperty(e,"prototype",{writable:!1}),e}function _defineProperty(e,t,i){return t in e?Object.defineProperty(e,t,{value:i,enumerable:!0,configurable:!0,writable:!0}):e[t]=i,e}var ImageUploaderWidget=function(){function t(e){var n=this;_classCallCheck(this,t),_defineProperty(this,"element",void 0),_defineProperty(this,"fileInput",void 0),_defineProperty(this,"checkboxInput",void 0),_defineProperty(this,"emptyMarker",void 0),_defineProperty(this,"dropLabel",void 0),_defineProperty(this,"canDelete",!1),_defineProperty(this,"dragging",!1),_defineProperty(this,"canPreview",!0),_defineProperty(this,"id",void 0),_defineProperty(this,"raw",null),_defineProperty(this,"file",null),_defineProperty(this,"onEmptyMarkerClick",function(){n.fileInput.click()}),_defineProperty(this,"onDrop",function(e){e.preventDefault(),n.dragging=!1,n.element.classList.remove("drop-zone"),e.dataTransfer.files.length&&(n.fileInput.files=e.dataTransfer.files,n.file=n.fileInput.files[0],n.raw=null,n.renderWidget())}),_defineProperty(this,"onDragEnter",function(){n.dragging=!0,n.element.classList.add("drop-zone")}),_defineProperty(this,"onDragOver",function(e){e&&e.preventDefault()}),_defineProperty(this,"onDragLeave",function(e){e.relatedTarget&&e.relatedTarget.closest(".iuw-root")===n.element||(n.dragging=!1,n.element.classList.remove("drop-zone"))}),_defineProperty(this,"closePreviewModal",function(){document.body.style.overflow="auto";var e=document.getElementById("iuw-modal-element");e&&(e.classList.remove("visible"),e.classList.add("hide"),setTimeout(function(){e.parentElement.removeChild(e)},300))}),_defineProperty(this,"onModalClick",function(e){if(e&&e.target&&e.target.closest("img.iuw-modal-image-preview-item"))return;n.closePreviewModal()}),_defineProperty(this,"createPreviewModal",function(e){e.className="",e.classList.add("iuw-modal-image-preview-item");var t=document.createElement("div");t.id="iuw-modal-element",t.classList.add("iuw-modal","hide"),t.addEventListener("click",n.onModalClick);var i=document.createElement("div");return i.classList.add("iuw-modal-image-preview"),i.innerHTML='<span class="iuw-modal-close"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" xmlns:xlink="http://www.w3.org/1999/xlink" xml:space="preserve" width="100%" height="100%"><path xmlns="http://www.w3.org/2000/svg" d="m289.94 256 95-95A24 24 0 0 0 351 127l-95 95-95-95a24 24 0 0 0-34 34l95 95-95 95a24 24 0 1 0 34 34l95-95 95 95a24 24 0 0 0 34-34z"></path></svg></span>',i.appendChild(e),t.appendChild(i),document.body.appendChild(t),t}),_defineProperty(this,"onImagePreviewClick",function(e){if(e&&e.target){var t=e.target;if(t.closest(".iuw-delete-icon")){e=t.closest(".iuw-image-preview");return e.parentElement.removeChild(e),n.checkboxInput.checked=!0,n.fileInput.value=null,n.file=null,n.raw=null,void n.renderWidget()}if(t.closest(".iuw-preview-icon"))if(t=t.closest(".iuw-image-preview").querySelector("img")){var t=t.cloneNode(!0),i=n.createPreviewModal(t);return void setTimeout(function(){i.classList.add("visible"),i.classList.remove("hide"),document.body.style.overflow="hidden"},50)}}n.fileInput.click()}),_defineProperty(this,"onFileInputChange",function(){0<n.fileInput.files.length&&(n.file=n.fileInput.files[0]),n.renderWidget()}),this.element=e,this.fileInput=e.querySelector("input[type=file]"),this.checkboxInput=e.querySelector("input[type=checkbox]"),this.emptyMarker=this.element.querySelector(".iuw-empty"),this.canDelete="true"===e.getAttribute("data-candelete"),this.dragging=!1,this.id=this.fileInput.getAttribute("id"),this.dropLabel=this.element.querySelector(".drop-label"),this.dropLabel&&this.dropLabel.setAttribute("for",this.id),this.fileInput.addEventListener("change",this.onFileInputChange),this.emptyMarker.addEventListener("click",this.onEmptyMarkerClick),this.element.addEventListener("dragenter",this.onDragEnter),this.element.addEventListener("dragover",this.onDragOver),this.element.addEventListener("dragleave",this.onDragLeave),this.element.addEventListener("dragend",this.onDragLeave),this.element.addEventListener("drop",this.onDrop),this.raw=e.getAttribute("data-raw"),this.file=null,this.renderWidget()}return _createClass(t,[{key:"renderPreview",value:function(e){var t=document.createElement("div");t.classList.add("iuw-image-preview");var i,n=document.createElement("img");return n.src=e,t.appendChild(n),this.canDelete&&((i=document.createElement("span")).classList.add("iuw-delete-icon"),i.innerHTML='<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" xmlns:xlink="http://www.w3.org/1999/xlink" xml:space="preserve" width="100%" height="100%"><path xmlns="http://www.w3.org/2000/svg" d="m289.94 256 95-95A24 24 0 0 0 351 127l-95 95-95-95a24 24 0 0 0-34 34l95 95-95 95a24 24 0 1 0 34 34l95-95 95 95a24 24 0 0 0 34-34z"></path></svg>',t.appendChild(i)),this.canPreview&&((i=document.createElement("span")).classList.add("iuw-preview-icon"),this.canDelete||i.classList.add("iuw-only-preview"),i.innerHTML='<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" class="bi bi-zoom-in" viewBox="0 0 16 16" xmlns:xlink="http://www.w3.org/1999/xlink" xml:space="preserve" width="100%" height="100%"><path xmlns="http://www.w3.org/2000/svg" fill-rule="evenodd" d="M6.5 12a5.5 5.5 0 1 0 0-11 5.5 5.5 0 0 0 0 11zM13 6.5a6.5 6.5 0 1 1-13 0 6.5 6.5 0 0 1 13 0z"></path><path xmlns="http://www.w3.org/2000/svg" d="M10.344 11.742c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1 6.538 6.538 0 0 1-1.398 1.4z"></path><path xmlns="http://www.w3.org/2000/svg" fill-rule="evenodd" d="M6.5 3a.5.5 0 0 1 .5.5V6h2.5a.5.5 0 0 1 0 1H7v2.5a.5.5 0 0 1-1 0V7H3.5a.5.5 0 0 1 0-1H6V3.5a.5.5 0 0 1 .5-.5z"></path></svg>',t.appendChild(i)),t}},{key:"renderWidget",value:function(){var e,t=this;this.file||this.raw?(this.element.classList.add("non-empty"),this.checkboxInput&&(this.checkboxInput.checked=!1)):(this.element.classList.remove("non-empty"),this.checkboxInput&&(this.checkboxInput.checked=!0)),Array.from(this.element.querySelectorAll(".iuw-image-preview")).forEach(function(e){return t.element.removeChild(e)}),this.file&&(e=URL.createObjectURL(this.file),this.element.appendChild(this.renderPreview(e))),this.raw&&this.element.appendChild(this.renderPreview(this.raw)),Array.from(this.element.querySelectorAll(".iuw-image-preview")).forEach(function(e){return e.addEventListener("click",t.onImagePreviewClick)})}}]),t}();document.addEventListener("DOMContentLoaded",function(){Array.from(document.querySelectorAll(".iuw-root")).map(function(e){return new ImageUploaderWidget(e)}),window&&window.django&&window.django.jQuery&&(0,window.django.jQuery)(document).on("formset:added",function(e,t){t.length&&Array.from(t[0].querySelectorAll(".iuw-root")).map(function(e){return new ImageUploaderWidget(e)})})});